## ros-humble-moveit-ros-move-group 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_move_group)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(pluginlib REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  ament_cmake
  rclcpp
  rclcpp_action
  std_srvs
  tf2
  tf2_geometry_msgs
  tf2_ros
  moveit_core
  moveit_ros_occupancy_map_monitor
  moveit_ros_planning
  pluginlib
)

include_directories(include)

add_library(moveit_move_group_capabilities_base SHARED
  src/move_group_context.cpp
  src/move_group_capability.cpp
)

add_library(moveit_move_group_default_capabilities SHARED
  src/default_capabilities/move_action_capability.cpp
  src/default_capabilities/plan_service_capability.cpp
  src/default_capabilities/execute_trajectory_action_capability.cpp
  src/default_capabilities/query_planners_service_capability.cpp
  src/default_capabilities/kinematics_service_capability.cpp
  src/default_capabilities/state_validation_service_capability.cpp
  src/default_capabilities/cartesian_path_service_capability.cpp
  src/default_capabilities/get_planning_scene_service_capability.cpp
  src/default_capabilities/apply_planning_scene_service_capability.cpp
  src/default_capabilities/clear_octomap_service_capability.cpp
  src/default_capabilities/tf_publisher_capability.cpp)

set_target_properties(moveit_move_group_capabilities_base
  PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

set_target_properties(moveit_move_group_default_capabilities
  PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

ament_target_dependencies(moveit_move_group_capabilities_base ${THIS_PACKAGE_INCLUDE_DEPENDS})

add_executable(move_group src/move_group.cpp)
target_include_directories(move_group PUBLIC include)
ament_target_dependencies(move_group  ${THIS_PACKAGE_INCLUDE_DEPENDS} Boost)
target_link_libraries(move_group moveit_move_group_capabilities_base)

add_executable(list_move_group_capabilities src/list_capabilities.cpp)
ament_target_dependencies(list_move_group_capabilities  ${THIS_PACKAGE_INCLUDE_DEPENDS} Boost)

ament_target_dependencies(moveit_move_group_default_capabilities ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(moveit_move_group_default_capabilities moveit_move_group_capabilities_base)

install(
  TARGETS
    move_group
    list_move_group_capabilities
  RUNTIME
  DESTINATION lib/${PROJECT_NAME})

install(
  TARGETS
    moveit_move_group_default_capabilities
    moveit_move_group_capabilities_base
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

install(DIRECTORY include/ DESTINATION include)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  PROGRAMS
    scripts/load_map
    scripts/save_map
  DESTINATION lib/${PROJECT_NAME}
)

pluginlib_export_plugin_description_file(${PROJECT_NAME} default_capabilities_plugin_description.xml)

if(BUILD_TESTING)
# TODO(henningkayser): enable rostests
#  find_package(rostest REQUIRED) # rostest under development in ROS2 https://github.com/ros-planning/moveit2/issues/23
  # this test is flaky
  # add_rostest(test/test_cancel_before_plan_execution.test)
  # add_rostest(test/test_check_state_validity_in_empty_scene.test)
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-humble-moveit-ros-move-group (2.5.5-1jammy) jammy; urgency=high

  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Michael Görner <me@v4hn.de>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-ros-move-group (2.5.4-1jammy) jammy; urgency=high

  * Removed plan_with_sensing (#1142 <https://github.com/ros-planning/moveit2/issues/1142>) (#1647 <https://github.com/ros-planning/moveit2/issues/1647>)
    (cherry picked from commit ad9fb465776c68d53431ec477ff89d7e4e25f3b3)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: mergify[bot]

 -- Michael Görner <me@v4hn.de>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-ros-move-group (2.5.3-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-ros-move-group (2.5.2-1jammy) jammy; urgency=high

  * Merge pull request #1402 <https://github.com/ros-planning/moveit2/issues/1402> from Abishalini/pr-sync-a436a97
    Sync with MoveIt
  * Merge https://github.com/ros-planning/moveit/commit/a436a9771f7445c162cc3090c4c7c57bdb5bf194
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Remove manipulation from moveit_ros (#1177 <https://github.com/ros-planning/moveit2/issues/1177>)
  * Merge pull request #3137 <https://github.com/ros-planning/moveit2/issues/3137> from TAMS-Group/pr-master-monitor-dynamics
    move_group can optionally monitor dynamics
  * optionally enable dynamics monitoring in move_group node
  * convert move_group to LOGNAME
  * Merge pull request #3106 <https://github.com/ros-planning/moveit/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: Abishalini, Michael Görner, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, v4hn

 -- Michael Görner <me@v4hn.de>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-ros-move-group (2.5.1-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-ros-move-group (2.5.0-1jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/72d919299796bffc21f5eb752d66177841dc3442
  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * 1.1.9
  * Fix missing include (#3051 <https://github.com/ros-planning/moveit2/issues/3051>)
  * 1.1.8
  * Improve loading of planning pipelines (#3036 <https://github.com/ros-planning/moveit2/issues/3036>)
    Ensure that planning pipelines considered in ~/planning_pipelines/* actually have a planning_plugin parameter defined.
    Otherwise, issue an error message.
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * 1.1.7
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
    * boost::bind -> std::bind
    grep -rlI --exclude-dir=.git "boost::bind" | xargs sed -i 's/boost::bind/std::bind/g'
    * Convert bind placeholders
    grep -rlI --exclude-dir=.git " _[0-9]" | xargs sed -i 's/ _([0-9])/ std::placeholders::_1/g'
    * Update bind include header
    grep -rlI --exclude-dir=.git "boost/bind" | xargs sed -i 's#boost/bind.hpp#functional#'
  * 1.1.6
  * Contributors: Abishalini, AndyZe, Cory Crean, Henning Kayser, Jafar, Jochen Sprickerhof, Robert Haschke, Tobias Fischer, jeoseo, v4hn

 -- Michael Görner <me@v4hn.de>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-moveit-ros-move-group (2.4.0-1jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 19 Jan 2022 23:00:00 -0000

ros-humble-moveit-ros-move-group (2.3.2-1jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Tue, 28 Dec 2021 23:00:00 -0000

ros-humble-moveit-ros-move-group (2.3.1-1jammy) jammy; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)


=== debian/control ===
Source: ros-humble-moveit-ros-move-group
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-resources-fanuc-moveit-config <!nocheck>, ros-humble-moveit-ros-occupancy-map-monitor, ros-humble-moveit-ros-planning, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-ros-move-group
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-kinematics, ros-humble-moveit-ros-occupancy-map-monitor, ros-humble-moveit-ros-planning, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: The move_group node for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-ros-move-group//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
